Subject: allocating non-cacheable memory

From: Kevin Fry <[email-masked]>
Date: Wed, 19 Dec 2001 17:44:48 -0800

What is the best way to allocate some non-cacheable memory for I/O use?
Right now we are going to setup a BAT table with a non-cacheable memory
region and use that for all I/O, but does linux have a nice neat
function to grab a page and set it up non-cacheable for us?
I was reading in the archives that the #define PAGE_NOCACHE doesn't
work.

thanks!

Kevin

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/